Debian Bug report logs - #289430
RM: libcgi-validate-perl -- RoQA; orphaned; NPOASR

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Sun, 9 Jan 2005 01:48:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dagfinn Ilmari Manns�ker <ilmari@ping.uio.no>, <wnpp@debian.org>:
Bug#289430; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Dagfinn Ilmari Manns�ker <ilmari@ping.uio.no>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libcgi-validate-perl -- Advanced CGI form parser and type validation
Date: Sun, 09 Jan 2005 02:42:58 +0100
Package: wnpp
Severity: normal

The current maintainer of libcgi-validate-perl, Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: libcgi-validate-perl
Binary: libcgi-validate-perl
Version: 2.000-6
Priority: optional
Section: perl
Maintainer: Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>
Build-Depends-Indep: debhelper (>= 3.0.5), perl (>= 5.6.0-17)
Architecture: all
Standards-Version: 3.5.1
Format: 1.0
Directory: pool/main/libc/libcgi-validate-perl
Files: 6ed5c18e5f316084e1c0b289932d791e 650 libcgi-validate-perl_2.000-6.dsc
 d1a11020856521d3c498dc0c1628abdf 10216 libcgi-validate-perl_2.000.orig.tar.gz
 718ca435e1a99167649bdf4188f915e5 2528 libcgi-validate-perl_2.000-6.diff.gz

Package: libcgi-validate-perl
Priority: optional
Section: perl
Installed-Size: 100
Maintainer: Dagfinn Ilmari Mannsåker <ilmari@ping.uio.no>
Architecture: all
Version: 2.000-6
Depends: perl (>= 5.6.0-16)
Filename: pool/main/libc/libcgi-validate-perl/libcgi-validate-perl_2.000-6_all.deb
Size: 20094
MD5sum: 68a1336e4bd3d1e1d833c520a904a835
Description: Advanced CGI form parser and type validation
 Basicly a blending of the CGI and Getopt::Long modules, and requires
 the CGI module to function.
 .
 The basic concept of this module is to combine the best features of
 the CGI and Getopt::Long modules.  The CGI module is great for
 parsing, building, and rebuilding forms, however it lacks any real
 error checking abilitys such as misspelled form input names, the data
 types received from them, missing values, etc.  This however, is
 something that the Getopt::Long module is vary good at doing.  So,
 basicly this module is a layer that collects the data using the CGI
 module and passes it to routines to do type validation and name
 consistency checks all in one clean try/catch style block.
 .
 The syntax of GetFormData() is mostly the same as the GetOptions() of
 Getopt::Long, with a few exceptions (namely, the handling of
 exceptions) .  See the VALUE TYPES section for detail of the
 available types, and the EXCEPTIONS section for exception handling
 options.  If given without a type, fields are assumed to be type ":s"
 (optional string), which is normally correct.



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 289430-done@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 289430-done@bugs.debian.org
Subject: Removed libcgi-validate-perl from unstable
Date: Sat, 21 May 2005 16:42:20 -0400
We believe that the request you reported is now fixed; the following
package(s) have been removed from unstable:

libcgi-validate-perl |    2.000-7 | source, all

Reason: RoQA; orphaned; NPOASR

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to the just-closed bug (or by
replying to this mail if there is no bug closed).

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:42:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.